﻿using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexgridRowDetailsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Item> items = new ObservableCollection<Item>();
            Random rnd = new Random();
            for(int row=0;row<10;row++)
            {
                items.Add(new Item() { Id = row, Value = rnd.Next(0, 100), Type = "Type " + rnd.Next(1, 10).ToString() });
            }
            grid.ItemsSource = items;
        }

        private void CountMainRows(object sender, RoutedEventArgs e)
        {
            int mainRowCount = 0;
            foreach(var row in grid.Rows)
            {
                if (row is RowWithDetails)
                    mainRowCount++;
            }
            MessageBox.Show("Total Main Rows = " + mainRowCount);
        }

        private void SelectMainRow(object sender, RoutedEventArgs e)
        {
            int selectionRowIndex = (int)num.Value;
            if (selectionRowIndex < 0)
                MessageBox.Show("Row index shouldn't be negative");
            else if ((grid.Rows.Count / 2)-1 < selectionRowIndex)
                MessageBox.Show("Entered value should less than the no. of main rows in grid");
            else
                grid.SelectedIndex = selectionRowIndex;
        }
    }

    public class Item
    {
        public int Id { get; set; }
        public int Value { get; set; }
        public string Type { get; set; }
    }
}
